Summary:	Tools for using the Network Block Device
Summary(pl.UTF-8):	Narzędzia do używania Network Block Device
Name:		nbd
Version:	3.26.1
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://github.com/NetworkBlockDevice/nbd/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	9a15e88f2b63d467ce5a6db1da8a2f0f
Patch0:		systemd-gen.patch
URL:		http://nbd.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	autoconf-archive
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-dtd45-sgml
BuildRequires:	docbook-utils
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.68.0
BuildRequires:	gnutls-devel >= 2.12.0
BuildRequires:	libnl-devel >= 3.1
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	glib2 >= 1:2.68.0
Requires:	gnutls-libs >= 2.12.0
Requires:	libnl >= 3.1
Obsoletes:	nbd-tools < 1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
nbd contains the tools needed to export a network block device and to
use a network block device. The nbd module is part of the 2.2 kernels
and higher.

If you have a kernel patched for it, you can use the network block
device to swap over the net, which is particularly useful for diskless
workstations.

%description -l pl.UTF-8
nbd zawiera narzędzia potrzebne do wyeksportowania i używania
sieciowego urządzenia blokowego (Network Block Device). Moduł do nbd
jest w jądrze 2.2 i późniejszych.

Jeżeli masz kernel z odpowiednią łatą, możesz używać sieciowego
urządzenia blokowego do swapowania przez sieć - jest to przydatne w
przypadku stacji bezdyskowych.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-lfs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/nbd-server

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/nbd-server
%attr(755,root,root) %{_bindir}/nbd-trdump
%attr(755,root,root) %{_bindir}/nbd-trplay
%attr(755,root,root) %{_sbindir}/min-nbd-client
%attr(755,root,root) %{_sbindir}/nbd-client
%dir %{_sysconfdir}/nbd-server
#%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nbd-server/config
%{_mandir}/man1/nbd-server.1*
%{_mandir}/man1/nbd-trdump.1*
%{_mandir}/man1/nbd-trplay.1*
%{_mandir}/man5/nbd-server.5*
%{_mandir}/man5/nbdtab.5*
%{_mandir}/man8/nbd-client.8*
%changelog
* Thu Aug 15 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nbd.git;a=log;h=master

* Wed Aug 14 2024 Jakub Bogusz <qboosh@pld-linux.org> f8511c6
- ac,lt versions

* Wed Aug 14 2024 Jan Palus <atler@pld-linux.org> 2d3810a
- up to 3.26.1

* Wed Aug 14 2024 Jan Palus <atler@pld-linux.org> ad14326
- BR: docbook-dtd41-sgml

* Mon Mar 28 2022 Jan Palus <atler@pld-linux.org> 6b1bd38
- up to 3.24

* Thu Feb 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 49c9e6b
- versioned Obsoletes

* Wed Feb 09 2022 Jan Palus <atler@pld-linux.org> 9727b54
- up to 3.23

* Wed Feb 09 2022 Jan Palus <atler@pld-linux.org> 48276fd
- rediff patch

* Fri Aug 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 5e2b5bf
- updated to 3.14
- include missing file as source1

* Wed Jul 01 2015 Jakub Bogusz <qboosh@pld-linux.org> f279f13
- updated to 3.11
- removed obsolete types patch

* Sun Sep 18 2011 Jakub Bogusz <qboosh@pld-linux.org> e752cbe
- updated to 2.9.24

* Tue May 31 2011 Jakub Bogusz <qboosh@pld-linux.org> 6674ea2
- updated to 2.9.22
- removed obsolete missing-file patch

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 8ea650b
- updated to 2.9.21
- added missing-file patch (sh.tmpl taken from nbd git)

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> e294d4b
- updated to 2.9.18

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 5c018b8
- updated for 2.9.11

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 329a5ac
- updated to 2.9.11

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> d9784f0
- updated to 2.9.9

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 44a8d07
- updated to 2.9.8

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 2abb8b2
- updated to 2.9.6

* Wed Jul 11 2007 Jakub Bogusz <qboosh@pld-linux.org> d4600f4
- updated to 2.9.4

* Fri Jun 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 0385622
- updated to 2.9.3

